import { BBox, Units } from '@turf/helpers';
export declare type IBounds = [[number, number], [number, number]];
export interface ILngLat {
    lng: number;
    lat: number;
}
export interface IPoint {
    x: number;
    y: number;
}
export declare type Point = number[];
/**
 * 计算地理数据范围
 * @param {dataArray} data 地理坐标数据
 * @return {Array} dataExtent
 */
export declare function extent(data: any[]): BBox;
export declare function tranfrormCoord(data: any[], cb: (item: any[]) => any): any;
export declare function lngLatToMeters(lnglat: Point): Point;
export declare function metersToLngLat(meters: Point, decimal?: number): number[];
export declare function longitude(lng: number): number;
export declare function latitude(lat: number): number;
export declare function validateLngLat(lnglat: Point, validate: boolean): Point;
export declare function aProjectFlat(lnglat: number[]): number[];
export declare function unProjectFlat(px: number[]): [number, number];
export declare function lnglatDistance(coordinates1: [number, number], coordinates2: [number, number], units?: Units): number;
export declare function project(lnglat: [number, number]): number[];
export declare function padBounds(b: IBounds, bufferRatio: number): IBounds;
/**
 * b1 包含 b2 返回 true 否则false
 * @param b1 bounds1
 * @param b2 bounds2
 */
export declare function boundsContains(b1: IBounds, b2: IBounds): boolean;
